/*
 * $Id: ResponseConfigBase.java,v 1.1 2006/04/11 16:14:32 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2006/02/20
 */
package feat2.config;

import feat2.FeatErrors;
import feat2.Response;
import feat2.config.type.Identifier;

/**
 * レスポンスの設定の基本クラス。
 * @author SUGIMOTO Ken-ichi
 */
abstract public class ResponseConfigBase extends Config {

    private Identifier name;

    public Identifier getName() {
        return name;
    }
    public void setName(Identifier name) {
        this.name = name;
    }

    abstract public Response getResponseInstance();

    public boolean validate(FeatErrors errs) {
        boolean ret = ConfigUtil.validateRequired(name, "name", this, errs);

        return ret;
    }


}
